
Infrastructure - Story #2067

Refactor the index task generator and processor to improve scalability and performance

2011-11-29 13:58 - Dave Vieglais

Status: Closed Start date: 2011-11-29

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Story Points:    

Description

The current implementation of the index task generator and processor is unsuitable for a production environment. It needs to be

refactored to improve scalability and to support concurrent access by a single task generator and one or more task processors.

Subtasks:

Task # 2068: Define the index task data model Closed

Task # 2069: Select a persistence technology for the index task queue Closed

Task # 2070: Implement the refactored index task generator Closed

Task # 2071: Update the index task processor to read from task queue Closed

Task # 2072: Update the index task generator to listen to the hzSystemMetadata map for ... Closed

Task # 2119: Create command line tool to build/update entire solr index Closed

Task # 2130: Build-out for solr indexing components Closed

Task # 2143: Refactor static nodeRegistryMap Closed

Task # 2173: Create solr index test harness Closed

Task # 2174: Solr installation cleanup Closed

Task # 2184: Archived objects must be removed from the index Closed

Task # 2202: Remove unneeded fields from SOLR schema Closed

Task # 2220: Update solr index refresh tool to use new hzIdentifiers  Set Closed

Task # 2221: Update Task Generation to act only on 'update' events Closed

Task # 2222: indexerapi generating slightly incorrect data_url Closed

Task # 2223: Remove obsoletedBy field from SOLR index Closed

Task # 2224: Set value of fileId to resolve URL if object is science metadata Closed

Task # 2225: Remove the contains field form the solr index. Closed

Task # 2248: Hudson continuous builds Closed

Task # 2270: Restrict access to solr update to localhost Closed

History

#1 - 2011-12-06 14:43 - Dave Vieglais

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

- Position set to 325

#2 - 2011-12-19 18:09 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2011-12-19 18:45 - Dave Vieglais

- Position deleted (324)

- Position set to 13

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2011.51-Block.6

#4 - 2012-01-03 18:26 - Skye Roseboom

- Target version changed from Sprint-2011.51-Block.6 to Sprint-2012.01-Block.1.1
- Position deleted (18)

- Position set to 3

#5 - 2012-01-05 19:51 - Skye Roseboom

- Status changed from In Progress to Closed

Closing this story as all sub-tasks have been completed.

#6 - 2012-01-06 20:33 - Skye Roseboom

- Status changed from Closed to In Progress

re-opening story with new tasks

#7 - 2012-01-17 14:49 - Dave Vieglais

- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

- Position deleted (41)

- Position set to 1

#8 - 2012-01-23 20:12 - Skye Roseboom

- Status changed from In Progress to Closed

Closing story as all tasks completed.

#9 - 2012-01-31 14:58 - Skye Roseboom

- Status changed from Closed to In Progress

opening with new sub-task.

#10 - 2012-01-31 15:00 - Skye Roseboom

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

moving forward to current sprint, for new sub-task (2270).

#11 - 2012-02-02 23:17 - Skye Roseboom

- Status changed from In Progress to Closed

closing again with final task complete.
